if n==2
    
    fig = figure('Color','blue',...
          'Resize','off',...
          'Numbertitle','off',...
          'name','Kontanty regultora PID', ...
          'position',[970 500 250 170]); 
      
    a0=1;
    a1=2*T;
    a2=T^2;
    
       zr=((3*(pol_uro^2)*a2)-1)/K;
       td=((-3*pol_uro*a2)-a1)/(K*zr);
       ti=(K*zr)/(a2*(-pol_uro^3));
    
       Z_R_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 130 85 25],...
          'String','Z_R = ');
       T_I_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 92 85 25],...
          'String','T_I = ');
       T_D_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 55 85 25],...
          'String','T_D = '); 
          
       ZR3=zr;
       Z_R =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(ZR3),...
          'Position',[127 130 90 25],...
          'CallBack',['(ZR3) = str2num(get(Z_R,''String''));']);
         
       TI3=ti;
       T_I =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TI3),...
          'Position',[127 92 90 25],...
          'CallBack',['TI3 = str2num(get(T_I,''String''));']);
          
       TD3=td;
       T_D =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TD3),...
          'Position',[127 55 90 25],...
          'CallBack',['TD3 = str2num(get(T_D,''String''));']);
      
elseif n==3 
    
    fig = figure('Color','blue',...
          'Resize','off',...
          'Numbertitle','off',...
          'name','Kontanty regultora PID', ...
          'position',[970 500 250 170]); 
      
    a0=1;
    a1=3*T;
    a2=3*(T^2);
    a3=T^3;
    
       zr=((-4*(pol_uro^3)*a3)-1)/K;
       td=((6*(pol_uro^2)*a3)-a1)/(K*zr);
       ti=(K*zr)/(a3*(pol_uro^4));
    
       Z_R_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 130 85 25],...
          'String','Z_R = ');
       T_I_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 92 85 25],...
          'String','T_I = ');
       T_D_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 55 85 25],...
          'String','T_D = '); 
          
       ZR3=zr;
       Z_R =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(ZR3),...
          'Position',[127 130 90 25],...
          'CallBack',['(ZR3) = str2num(get(Z_R,''String''));']);
         
       TI3=ti;
       T_I =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TI3),...
          'Position',[127 92 90 25],...
          'CallBack',['TI3 = str2num(get(T_I,''String''));']);
          
       TD3=td;
       T_D =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TD3),...
          'Position',[127 55 90 25],...
          'CallBack',['TD3 = str2num(get(T_D,''String''));']);  
      
elseif n==4 
    
    fig = figure('Color','blue',...
          'Resize','off',...
          'Numbertitle','off',...
          'name','Kontanty regultora PID', ...
          'position',[970 500 250 170]); 
      
    a0=1;
    a1=4*T;
    a2=6*(T^2);
    a3=4*(T^3);
    a4=T^4;
    
       zr=((5*(pol_uro^4)*a4)-1)/K;
       td=((-10*(pol_uro^3)*a4)-a1)/(K*zr);
       ti=(K*zr)/(a4*(-pol_uro^5));
    
       Z_R_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 130 85 25],...
          'String','Z_R = ');
       T_I_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 92 85 25],...
          'String','T_I = ');
       T_D_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 55 85 25],...
          'String','T_D = '); 
          
       ZR3=zr;
       Z_R =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(ZR3),...
          'Position',[127 130 90 25],...
          'CallBack',['(ZR3) = str2num(get(Z_R,''String''));']);
         
       TI3=ti;
       T_I =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TI3),...
          'Position',[127 92 90 25],...
          'CallBack',['TI3 = str2num(get(T_I,''String''));']);
          
       TD3=td;
       T_D =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TD3),...
          'Position',[127 55 90 25],...
          'CallBack',['TD3 = str2num(get(T_D,''String''));']);
      
elseif n==5 
    
    fig = figure('Color','blue',...
          'Resize','off',...
          'Numbertitle','off',...
          'name','Kontanty regultora PID', ...
          'position',[970 500 250 170]); 
      
    a0=1;
    a1=5*T;
    a2=10*(T^2);
    a3=10*(T^3);
    a4=5*(T^4);
    a5=T^5;
    
       zr=((-6*(pol_uro^5)*a5)-1)/K;
       td=((15*(pol_uro^4)*a5)-a1)/(K*zr);
       ti=(K*zr)/(a5*(pol_uro^6));
    
       Z_R_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 130 85 25],...
          'String','Z_R = ');
       T_I_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 92 85 25],...
          'String','T_I = ');
       T_D_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 55 85 25],...
          'String','T_D = '); 
          
       ZR3=zr;
       Z_R =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(ZR3),...
          'Position',[127 130 90 25],...
          'CallBack',['(ZR3) = str2num(get(Z_R,''String''));']);
         
       TI3=ti;
       T_I =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TI3),...
          'Position',[127 92 90 25],...
          'CallBack',['TI3 = str2num(get(T_I,''String''));']);
          
       TD3=td;
       T_D =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TD3),...
          'Position',[127 55 90 25],...
          'CallBack',['TD3 = str2num(get(T_D,''String''));']);
      
  elseif n==6 
    
    fig = figure('Color','blue',...
          'Resize','off',...
          'Numbertitle','off',...
          'name','Kontanty regultora PID', ...
          'position',[970 500 250 170]); 
      
    a0=1;
    a1=6*T;
    a2=15*(T^2);
    a3=20*(T^3);
    a4=15*(T^4);
    a5=6*(T^5);
    a6=T^6;
    
       zr=((7*(pol_uro^6)*a6)-1)/K;
       td=((-21*(pol_uro^5)*a6)-a1)/(K*zr);
       ti=(K*zr)/(a6*(-pol_uro^7));
    
       Z_R_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 130 85 25],...
          'String','Z_R = ');
       T_I_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 92 85 25],...
          'String','T_I = ');
       T_D_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 55 85 25],...
          'String','T_D = '); 
          
       ZR3=zr;
       Z_R =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(ZR3),...
          'Position',[127 130 90 25],...
          'CallBack',['(ZR3) = str2num(get(Z_R,''String''));']);
         
       TI3=ti;
       T_I =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TI3),...
          'Position',[127 92 90 25],...
          'CallBack',['TI3 = str2num(get(T_I,''String''));']);
          
       TD3=td;
       T_D =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TD3),...
          'Position',[127 55 90 25],...
          'CallBack',['TD3 = str2num(get(T_D,''String''));']);   
      
end
 
Z_R=ZR3;
T_I=TI3;
T_D=TD3;
z_r=Z_R;
t_i=T_I;
t_d=T_D;
  
a=[T 1];
b=conv([T 1],[T 1]);
c=conv(a,b);

if n==2
    M=b;
elseif n==3
    M=c;
elseif n==4
    M=conv(b,b);
elseif n==5
    M=conv(c,b);
elseif n==6
    M=conv(c,c);
end 

    potvrdenie = uicontrol(gcf,...
          'Style','push',...
          'Position',[80 15 90 25],...
          'Fontsize',[11],...
          'String','OK',...
          'ForegroundColor','red',...
          'CallBack','simul_param'); 
 