if typy_ns==1

    fig = figure('Color','blue',...
          'Resize','off',...
          'Numbertitle','off',...
          'name','Kontanty regultora PID', ...
          'position',[970 500 250 170]);
  
       Z_R_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 130 85 25],...
          'String','Z_R = ');
       T_I_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 92 85 25],...
          'String','T_I = ');
       T_D_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 55 85 25],...
          'String','T_D = ');  

       ZR3=(1.2/K)*(Tn/Tu);
       Z_R =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(ZR3),...
          'Position',[127 130 90 25],...
          'CallBack',['(ZR3) = str2num(get(Z_R,''String''));']);
         
       TI3=(2*Tu);
       T_I =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TI3),...
          'Position',[127 92 90 25],...
          'CallBack',['TI3 = str2num(get(T_I,''String''));']);
        
       TD3=(0.5*Tu);
       T_D =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TD3),...
          'Position',[127 55 90 25],...
          'CallBack',['TD3 = str2num(get(T_D,''String''));']);
  
potvrdenie = uicontrol(gcf,...
          'Style','push',...
          'Position',[80 15 90 25],...
          'Fontsize',[11],...
          'String','OK',...
          'ForegroundColor','red',...
          'CallBack','simul_param');  
      
Z_R=ZR3;
T_I=TI3;
T_D=TD3;
z_r=Z_R;
t_i=T_I;
t_d=T_D;
  
a=[T 1];
b=conv([T 1],[T 1]);
c=conv(a,b);

if n==2
    M=b;
elseif n==3
    M=c;
elseif n==4
    M=conv(b,b);
elseif n==5
    M=conv(c,b);
elseif n==6
    M=conv(c,c);
end            

%--------------------------------------------------------------------------

elseif typy_ns==2 
 
    fig = figure('Color','blue',...
          'Resize','off',...
          'Numbertitle','off',...
          'name','Kontanty regultora PID', ...
          'position',[970 500 250 170]);    
    
       Z_R_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 130 85 25],...
          'String','Z_R = ');
       T_I_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 92 85 25],...
          'String','T_I = ');
       T_D_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 55 85 25],...
          'String','T_D = '); 
          
       ZR3=(1/K)*(((7*n)+16)/(16*(n-2)));
       Z_R =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(ZR3),...
          'Position',[127 130 90 25],...
          'CallBack',['(ZR3) = str2num(get(Z_R,''String''));']);
         
       TI3=T*(((7*n)+16)/15);
       T_I =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TI3),...
          'Position',[127 92 90 25],...
          'CallBack',['TI3 = str2num(get(T_I,''String''));']);
          
       TD3=T*(((n+1)*(n+3))/((7*n)+16));
       T_D =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TD3),...
          'Position',[127 55 90 25],...
          'CallBack',['TD3 = str2num(get(T_D,''String''));']);
 
    potvrdenie = uicontrol(gcf,...
          'Style','push',...
          'Position',[80 15 90 25],...
          'Fontsize',[11],...
          'String','OK',...
          'ForegroundColor','red',...
          'CallBack','simul_param'); 
 
Z_R=ZR3;
T_I=TI3;
T_D=TD3;
z_r=Z_R;
t_i=T_I;
t_d=T_D;
  
a=[T 1];
b=conv([T 1],[T 1]);
c=conv(a,b);

if n==2
    M=b;
elseif n==3
    M=c;
elseif n==4
    M=conv(b,b);
elseif n==5
    M=conv(c,b);
elseif n==6
    M=conv(c,c);
end            

%--------------------------------------------------------------------------
       
elseif typy_ns==3 
           
    fig = figure('Color','blue',...
          'Resize','off',...
          'Numbertitle','off',...
          'name','Kontanty regultora PID', ...
          'position',[970 500 250 170]);         
           
       Z_R_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 130 85 25],...
          'String','Z_R = ');
       T_I_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 92 85 25],...
          'String','T_I = ');
       T_D_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 55 85 25],...
          'String','T_D = ');
          
       ZR3=(1/K)*(Tn/Tu)*((4/3)+((1/4)*(Tu/Tn)));
       Z_R =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'BackgroundColor',[1 1 1],... 	
          'Fontsize',[11],...
          'String',num2str(ZR3),...
          'Position',[127 130 90 25],...
          'CallBack',['(ZR3) = str2num(get(Z_R,''String''));']);
       
       TI3=Tu*((32+(6*(Tu/Tn)))/(13+(8*(Tu/Tn))));
       T_I =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TI3),...
          'Position',[127 92 90 25],...
          'CallBack',['TI3 = str2num(get(T_I,''String''));']);
          
       TD3=Tu*(4/(11+(2*(Tu/Tn))));
       T_D =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TD3),...
          'Position',[127 55 90 25],...
          'CallBack',['TD3 = str2num(get(T_D,''String''));']);

    potvrdenie = uicontrol(gcf,...
          'Style','push',...
          'Position',[80 15 90 25],...
          'Fontsize',[11],...
          'String','OK',...
          'ForegroundColor','red',...
          'CallBack','simul_param'); 
      
Z_R=ZR3;
T_I=TI3;
T_D=TD3;
z_r=Z_R;
t_i=T_I;
t_d=T_D;
  
a=[T 1];
b=conv([T 1],[T 1]);
c=conv(a,b);

if n==2
    M=b;
elseif n==3
    M=c;
elseif n==4
    M=conv(b,b);
elseif n==5
    M=conv(c,b);
elseif n==6
    M=conv(c,c);
end           
 
%--------------------------------------------------------------------------

elseif typy_ns==4
           
Turo='zadaj';

    fig = figure('Color','blue',...
          'Resize','off',...
          'Numbertitle','off',...
          'name','Metda priamej syntzy', ...
          'position',[970 500 250 130]);

       navrh_text= uicontrol(gcf,...
          'Style','text',...
          'position',[20 90 150 25],...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'String','Zvote Turo<T : ');

       Turo_text= uicontrol(gcf,...
          'Style','text',...
          'position',[20 55 90 25],...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'String','Turo : ');

       Turo =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(Turo),...
          'Position',[112 55 90 25],...
          'CallBack',['Turo=str2num(get(Turo,''String''));']); 
  
    potvrdenie = uicontrol(gcf,...
          'Style','push',...
          'Position',[70 15 90 25],...
          'Fontsize',[11],...
          'String','OK',...
          'ForegroundColor','red',...
          'CallBack','mps_pid');

%--------------------------------------------------------------------------    
          
elseif typy_ns==5 

    fig = figure('Color','blue',...
          'Resize','off',...
          'Numbertitle','off',...
          'name','Kontanty regultora PID', ...
          'position',[970 500 250 170]);           
           
       Z_R_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 130 85 25],...
          'String','Z_R = ');
       T_I_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 92 85 25],...
          'String','T_I = ');
       T_D_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 55 85 25],...
          'String','T_D = '); 
          
       ZR3=(0.6*Tn)/(K*Tu);
       Z_R =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'BackgroundColor',[1 1 1],... 	
          'Fontsize',[11],...
          'String',num2str(ZR3),...
          'Position',[127 130 90 25],...
          'CallBack',['(ZR3) = str2num(get(Z_R,''String''));']);
         
       TI3=Tn;
       T_I =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TI3),...
          'Position',[127 92 90 25],...
          'CallBack',['TI3 = str2num(get(T_I,''String''));']);
          
       TD3=0.5*Tu;
       T_D =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TD3),...
          'Position',[127 55 90 25],...
          'CallBack',['TD3 = str2num(get(T_D,''String''));']);       
 
    potvrdenie = uicontrol(gcf,...
          'Style','push',...
          'Position',[80 15 90 25],...
          'Fontsize',[11],...
          'String','OK',...
          'ForegroundColor','red',...
          'CallBack','simul_param');
      
Z_R=ZR3;
T_I=TI3;
T_D=TD3;
z_r=Z_R;
t_i=T_I;
t_d=T_D;
  
a=[T 1];
b=conv([T 1],[T 1]);
c=conv(a,b);

if n==2
    M=b;
elseif n==3
    M=c;
elseif n==4
    M=conv(b,b);
elseif n==5
    M=conv(c,b);
elseif n==6
    M=conv(c,c);
end            
 
%--------------------------------------------------------------------------
        
elseif typy_ns==6          

    fig = figure('Color','blue',...
          'Resize','off',...
          'Numbertitle','off',...
          'name','Kontanty regultora PID', ...
          'position',[970 500 250 170]);            
            
       Z_R_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 130 85 25],...
          'String','Z_R = ');
       T_I_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 92 85 25],...
          'String','T_I = ');
       T_D_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 55 85 25],...
          'String','T_D = ');
          
       ZR3=(0.95*Tn)/(K*Tu);
       Z_R =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'BackgroundColor',[1 1 1],... 	
          'Fontsize',[11],...
          'String',num2str(ZR3),...
          'Position',[127 130 90 25],...
          'CallBack',['(ZR3) = str2num(get(Z_R,''String''));']);
         
       TI3=1.4*Tn;
       T_I =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TI3),...
          'Position',[127 92 90 25],...
          'CallBack',['TI3 = str2num(get(T_I,''String''));']);
          
       TD3=0.47*Tu;
       T_D =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TD3),...
          'Position',[127 55 90 25],...
          'CallBack',['TD3 = str2num(get(T_D,''String''));']);           

    potvrdenie = uicontrol(gcf,...
          'Style','push',...
          'Position',[80 15 90 25],...
          'Fontsize',[11],...
          'String','OK',...
          'ForegroundColor','red',...
          'CallBack','simul_param');
      
Z_R=ZR3;
T_I=TI3;
T_D=TD3;
z_r=Z_R;
t_i=T_I;
t_d=T_D;
  
a=[T 1];
b=conv([T 1],[T 1]);
c=conv(a,b);

if n==2
    M=b;
elseif n==3
    M=c;
elseif n==4
    M=conv(b,b);
elseif n==5
    M=conv(c,b);
elseif n==6
    M=conv(c,c);
end  

%--------------------------------------------------------------------------
        
elseif typy_ns==7           

    fig = figure('Color','blue',...
          'Resize','off',...
          'Numbertitle','off',...
          'name','Kontanty regultora PID', ...
          'position',[970 500 250 170]);            
            
       Z_R_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 130 85 25],...
          'String','Z_R = ');
       T_I_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 92 85 25],...
          'String','T_I = ');
       T_D_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 55 85 25],...
          'String','T_D = ');
          
       ZR3=(0.965/K)*((Tn/Tu)^0.855);
       Z_R =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'BackgroundColor',[1 1 1],... 	
          'Fontsize',[11],...
          'String',num2str(ZR3),...
          'Position',[127 130 90 25],...
          'CallBack',['(ZR3) = str2num(get(Z_R,''String''));']);
         
       TI3=Tn/(0.796-(0.147*(Tu/Tn)));
       T_I =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TI3),...
          'Position',[127 92 90 25],...
          'CallBack',['TI3 = str2num(get(T_I,''String''));']);
          
       TD3=0.308*Tn*((Tu/Tn)^0.929);
       T_D =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TD3),...
          'Position',[127 55 90 25],...
          'CallBack',['TD3 = str2num(get(T_D,''String''));']);          
  
    potvrdenie = uicontrol(gcf,...
          'Style','push',...
          'Position',[80 15 90 25],...
          'Fontsize',[11],...
          'String','OK',...
          'ForegroundColor','red',...
          'CallBack','simul_param'); 
      
Z_R=ZR3;
T_I=TI3;
T_D=TD3;
z_r=Z_R;
t_i=T_I;
t_d=T_D;
  
a=[T 1];
b=conv([T 1],[T 1]);
c=conv(a,b);

if n==2
    M=b;
elseif n==3
    M=c;
elseif n==4
    M=conv(b,b);
elseif n==5
    M=conv(c,b);
elseif n==6
    M=conv(c,c);
end

%--------------------------------------------------------------------------          
          
elseif typy_ns==8

Turo='zadaj';

    fig = figure('Color','blue',...
          'Resize','off',...
          'Numbertitle','off',...
          'name','Rivera,Morari', ...
          'position',[970 500 230 170]);   
    
       navrh_text= uicontrol(gcf,...
          'Style','text',...
          'position',[15 135 150 25],...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'String','Zvote Turo: ');
      
       navrh_text= uicontrol(gcf,...
          'Style','text',...
          'position',[35 82 190 45],...
          'Fontsize',[10],...
          'ForegroundColor','black',...
          'BackgroundColor','blue',... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'String','Doporuen voba: Turo>0.2T a Turo/D>0.25');    

       Turo_text= uicontrol(gcf,...
          'Style','text',...
          'position',[15 50 90 25],...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'String','Turo : ');

       Turo =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(Turo),...
          'Position',[108 50 90 25],...
          'CallBack',['Turo=str2num(get(Turo,''String''));']); 
 
    potvrdenie = uicontrol(gcf,...
          'Style','push',...
          'Position',[75 15 90 25],...
          'String','OK',...
          'Fontsize',[11],...
          'ForegroundColor','red',...
          'CallBack','rm_pid');

                    
end
       
  
  
