if typy_ns==1
    
sigma='zadaj';
    
    fig = figure('Color','blue',...
          'Resize','off',...
          'Numbertitle','off',...
          'name','Maximlne preregulovanie', ...
          'position',[970 500 260 160]); 
      
       navrh_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor','blue',... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[10 100 250 45],...
          'String','Zadajte maximlne preregulovanie (20,12,8,5,3,1): ');          
      
       sigma_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[20 60 90 25],...
          'String','Sigma = ');
      
       sigma =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(sigma),...
          'Position',[112 60 90 25],...
          'CallBack',['sigma=str2num(get(sigma,''String''));']); 
      
       percenta_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[205 60 30 25],...
          'String','%');          
         
    potvrdenie = uicontrol(gcf,...
          'Style','push',...
          'Fontsize',[11],...
          'Position',[90 20 90 25],...  
          'String','OK',...
          'ForegroundColor','red',...
          'CallBack','nm_pid');            
    
%--------------------------------------------------------------------------

elseif typy_ns==2 
 
pol_rp='zadaj';
pol_uro='zadaj';
    
    fig = figure('Color','blue',...
          'Resize','off',...
          'Numbertitle','off',...
          'name','Voba plu', ...
          'position',[970 480 260 180]); 
      
       navrh_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor','blue',... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[5 125 250 45],...
          'String','Zadajte pl URO na zklade plu riadenho procesu: ');  
      
       pol_rp_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 90 90 25],...
          'String','Pl RP = ');
      
       pol_uro_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 60 90 25],...
          'String','Pl URO = ');
      
a=[T 1];
b=conv([T 1],[T 1]);
c=conv(a,b);

if n==1
    M=a;
elseif n==2
    M=b;
elseif n==3
    M=c;
elseif n==4
    M=conv(b,b);
elseif n==5
    M=conv(c,b);
elseif n==6
    M=conv(c,c);
end         
       k=roots(M);
       pol=k(1,1);
       pol_rp=real(pol);
       
       pol_rp =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(pol_rp),...
          'Position',[132 90 90 25],...
          'CallBack',['pol_rp=str2num(get(pol_rp,''String''));']);
      
       pol_uro =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(pol_uro),...
          'Position',[132 60 90 25],...
          'CallBack',['pol_uro=str2num(get(pol_uro,''String''));']);           
         
    potvrdenie = uicontrol(gcf,...
          'Style','push',...
          'Fontsize',[11],...
          'Position',[80 20 90 25],...  
          'String','OK',...
          'ForegroundColor','red',...
          'CallBack','mup_pid');     
             
%--------------------------------------------------------------------------    


elseif typy_ns==3
    
    if n>=3
    fig = figure('Color','blue',...
          'Resize','off',...
          'Numbertitle','off',...
          'name','Kontanty regultora PID', ...
          'position',[970 500 250 170]);    
    
       Z_R_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 130 85 25],...
          'String','Z_R = ');
       T_I_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 92 85 25],...
          'String','T_I = ');
       T_D_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 55 85 25],...
          'String','T_D = '); 
          
       ZR3=((5*n-4)/(K*(n+1)))*(((n-2)/(n+1))^(n-2));
       Z_R =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(ZR3),...
          'Position',[127 130 90 25],...
          'CallBack',['(ZR3) = str2num(get(Z_R,''String''));']);
         
       TI3=(2*T*(5*n-4)*((n+1)^2))/(27*n*(n-1));
       T_I =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TI3),...
          'Position',[127 92 90 25],...
          'CallBack',['TI3 = str2num(get(T_I,''String''));']);
          
       TD3=(T*n*(n+1))/(2*(5*n-4));
       T_D =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TD3),...
          'Position',[127 55 90 25],...
          'CallBack',['TD3 = str2num(get(T_D,''String''));']);
 
    potvrdenie = uicontrol(gcf,...
          'Style','push',...
          'Position',[80 15 90 25],...
          'Fontsize',[11],...
          'String','OK',...
          'ForegroundColor','red',...
          'CallBack','simul_param'); 
 
Z_R=ZR3;
T_I=TI3;
T_D=TD3;
z_r=Z_R;
t_i=T_I;
t_d=T_D;
  
a=[T 1];
b=conv([T 1],[T 1]);
c=conv(a,b);

if n==2
    M=b;
elseif n==3
    M=c;
elseif n==4
    M=conv(b,b);
elseif n==5
    M=conv(c,b);
elseif n==6
    M=conv(c,c);
end                  

    else

    fig = figure('Color','blue',...
          'Resize','off',...
          'Numbertitle','off',...
          'name','Kontanty regultora PID', ...
          'position',[970 500 250 170]); 
      
       chyba_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 92 85 25],...
          'String','Rd n<3 => metda sa ned poui');  
    end
                    
end
       
 
  