%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
s = [20 12 8 5 3 1]';
a = [1.7 1.8 1.9 2 2.2 2.4]';
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 

index_f = find(s == sigma);
alfa = a(index_f(1));

if n>=3
    
    if n==3

    fig = figure('Color','blue',...
          'Resize','off',...
          'Numbertitle','off',...
          'name','Kontanty regultora PID', ...
          'position',[970 500 250 170]);
      
    a0=1;
    a1=3*T;
    a2=3*(T^2);
    a3=T^3;
    
    zr =(a1^2+(2*a1*(a2^2-(alfa*a3*a1)))+((a2^2-(alfa*a3*a1))^2)-(alfa*a2*a0))/(alfa*a2*K);
    td=((a2^2)-(alfa*a3*a1))/(K*zr);
    ti=(alfa*(a1+(K*zr*td))*K*zr)/((a0+(K*zr))^2);
  
       Z_R_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 130 85 25],...
          'String','Z_R = ');
       T_I_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 92 85 25],...
          'String','T_I = ');
       T_D_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 55 85 25],...
          'String','T_D = ');  

       ZR3=zr;
       Z_R =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(ZR3),...
          'Position',[127 130 90 25],...
          'CallBack',['(ZR3) = str2num(get(Z_R,''String''));']);
         
       TI3=ti;
       T_I =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TI3),...
          'Position',[127 92 90 25],...
          'CallBack',['TI3 = str2num(get(T_I,''String''));']);
        
       TD3=td;
       T_D =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TD3),...
          'Position',[127 55 90 25],...
          'CallBack',['TD3 = str2num(get(T_D,''String''));']);
      
    elseif n==4

    fig = figure('Color','blue',...
          'Resize','off',...
          'Numbertitle','off',...
          'name','Kontanty regultora PID', ...
          'position',[970 500 250 170]);
      
    a0=1;
    a1=4*T;
    a2=6*(T^2);
    a3=4*(T^3);
    a4=T^4;
    
    zr =(a1^2+(2*a1*(a2^2-(alfa*a3*a1)))+((a2^2-(alfa*a3*a1))^2)-(alfa*a2*a0))/(alfa*a2*K);
    td=(a2^2-(alfa*a3*a1))/(K*zr);
    ti=(alfa*(a1+(K*zr*td))*K*zr)/((a0+(K*zr))^2);
  
       Z_R_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 130 85 25],...
          'String','Z_R = ');
       T_I_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 92 85 25],...
          'String','T_I = ');
       T_D_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 55 85 25],...
          'String','T_D = ');  

       ZR3=zr;
       Z_R =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(ZR3),...
          'Position',[127 130 90 25],...
          'CallBack',['(ZR3) = str2num(get(Z_R,''String''));']);
         
       TI3=ti;
       T_I =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TI3),...
          'Position',[127 92 90 25],...
          'CallBack',['TI3 = str2num(get(T_I,''String''));']);
        
       TD3=td;
       T_D =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TD3),...
          'Position',[127 55 90 25],...
          'CallBack',['TD3 = str2num(get(T_D,''String''));']);         
          
    elseif n==5

    fig = figure('Color','blue',...
          'Resize','off',...
          'Numbertitle','off',...
          'name','Kontanty regultora PID', ...
          'position',[970 500 250 170]);
      
    a0=1;
    a1=5*T;
    a2=10*(T^2);
    a3=10*(T^3);
    a4=5*(T^4);
    a5=T^5;
    
    zr =(a1^2+(2*a1*(a2^2-(alfa*a3*a1)))+((a2^2-(alfa*a3*a1))^2)-(alfa*a2*a0))/(alfa*a2*K);
    td=(a2^2-(alfa*a3*a1))/(K*zr);
    ti=(alfa*(a1+(K*zr*td))*K*zr)/((a0+(K*zr))^2);
  
       Z_R_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 130 85 25],...
          'String','Z_R = ');
       T_I_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 92 85 25],...
          'String','T_I = ');
       T_D_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 55 85 25],...
          'String','T_D = ');  

       ZR3=zr;
       Z_R =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(ZR3),...
          'Position',[127 130 90 25],...
          'CallBack',['(ZR3) = str2num(get(Z_R,''String''));']);
         
       TI3=ti;
       T_I =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TI3),...
          'Position',[127 92 90 25],...
          'CallBack',['TI3 = str2num(get(T_I,''String''));']);
        
       TD3=td;
       T_D =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TD3),...
          'Position',[127 55 90 25],...
          'CallBack',['TD3 = str2num(get(T_D,''String''));']);
          
    elseif n==6

    fig = figure('Color','blue',...
          'Resize','off',...
          'Numbertitle','off',...
          'name','Kontanty regultora PID', ...
          'position',[970 500 250 170]);
      
    a0=1;
    a1=6*T;
    a2=15*(T^2);
    a3=20*(T^3);
    a4=15*(T^4);
    a5=6*(T^5);
    a6=T^6;
    
    zr =(a1^2+(2*a1*(a2^2-(alfa*a3*a1)))+((a2^2-(alfa*a3*a1))^2)-(alfa*a2*a0))/(alfa*a2*K);
    td=(a2^2-(alfa*a3*a1))/(K*zr);
    ti=(alfa*(a1+(K*zr*td))*K*zr)/((a0+(K*zr))^2);
  
       Z_R_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 130 85 25],...
          'String','Z_R = ');
       T_I_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 92 85 25],...
          'String','T_I = ');
       T_D_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 55 85 25],...
          'String','T_D = ');  

       ZR3=zr;
       Z_R =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(ZR3),...
          'Position',[127 130 90 25],...
          'CallBack',['(ZR3) = str2num(get(Z_R,''String''));']);
         
       TI3=ti;
       T_I =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TI3),...
          'Position',[127 92 90 25],...
          'CallBack',['TI3 = str2num(get(T_I,''String''));']);
        
       TD3=td;
       T_D =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TD3),...
          'Position',[127 55 90 25],...
          'CallBack',['TD3 = str2num(get(T_D,''String''));']); 
    
    end
          
potvrdenie = uicontrol(gcf,...
          'Style','push',...
          'Position',[80 15 90 25],...
          'Fontsize',[11],...
          'String','OK',...
          'ForegroundColor','red',...
          'CallBack','simul_param');  
      
Z_R=ZR3;
T_I=TI3;
T_D=TD3;
z_r=Z_R;
t_i=T_I;
t_d=T_D;
  
a=[T 1];
b=conv([T 1],[T 1]);
c=conv(a,b);

if n==2
    M=b;
elseif n==3
    M=c;
elseif n==4
    M=conv(b,b);
elseif n==5
    M=conv(c,b);
elseif n==6
    M=conv(c,c);
end            

    else

    fig = figure('Color','blue',...
          'Resize','off',...
          'Numbertitle','off',...
          'name','Kontanty regultora PID', ...
          'position',[970 500 250 170]); 
      
       chyba_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 92 85 25],...
          'String','Rd n<3 => metda sa ned poui');  

end
