if typy_ns==1
    
sigma='zadaj';
    
    fig = figure('Color','blue',...
          'Resize','off',...
          'Numbertitle','off',...
          'name','Maximlne preregulovanie', ...
          'position',[970 500 260 160]); 
      
       navrh_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor','blue',... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[10 100 250 45],...
          'String','Zadajte maximlne preregulovanie (20,12,8,5,3,1): ');          
      
       sigma_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[20 60 90 25],...
          'String','Sigma = ');
      
       sigma =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(sigma),...
          'Position',[112 60 90 25],...
          'CallBack',['sigma=str2num(get(sigma,''String''));']); 
      
       percenta_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[205 60 30 25],...
          'String','%');          
         
    potvrdenie = uicontrol(gcf,...
          'Style','push',...
          'Fontsize',[11],...
          'Position',[90 20 90 25],...  
          'String','OK',...
          'ForegroundColor','red',...
          'CallBack','nm_pi');            

%--------------------------------------------------------------------------    
          
elseif typy_ns==2 
 
pol_rp='zadaj';
pol_uro='zadaj';
    
    fig = figure('Color','blue',...
          'Resize','off',...
          'Numbertitle','off',...
          'name','Voba plu', ...
          'position',[970 480 260 180]); 
      
       navrh_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor','blue',... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[5 125 250 45],...
          'String','Zadajte pl URO na zklade plu riadenho procesu: ');  
      
       pol_rp_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 90 90 25],...
          'String','Pl RP = ');
      
       pol_uro_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 60 90 25],...
          'String','Pl URO = ');
      
a=[T 1];
b=conv([T 1],[T 1]);
c=conv(a,b);

if n==1
    M=a;
elseif n==2
    M=b;
elseif n==3
    M=c;
elseif n==4
    M=conv(b,b);
elseif n==5
    M=conv(c,b);
elseif n==6
    M=conv(c,c);
end         
       k=roots(M);
       pol=k(1,1);
       pol_rp=real(pol);
       
       pol_rp =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(pol_rp),...
          'Position',[132 90 90 25],...
          'CallBack',['pol_rp=str2num(get(pol_rp,''String''));']);
      
       pol_uro =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(pol_uro),...
          'Position',[132 60 90 25],...
          'CallBack',['pol_uro=str2num(get(pol_uro,''String''));']);           
         
    potvrdenie = uicontrol(gcf,...
          'Style','push',...
          'Fontsize',[11],...
          'Position',[80 20 90 25],...  
          'String','OK',...
          'ForegroundColor','red',...
          'CallBack','mup_pi');     
             
%--------------------------------------------------------------------------                

elseif typy_ns==3
    
    if n>=2
    fig = figure('Color','blue',...
          'Resize','off',...
          'Numbertitle','off',...
          'name','Kontanty regultora PI', ...
          'position',[970 500 240 150]);
             
       Z_R_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[30 95 80 25],...
          'String','Z_R = ');
      
       T_I_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[30 55 80 25],...
          'String','T_I = ');   
          
       ZR2 =(1/K)*(((n-1)/(n+1))^(n-1));
       Z_R =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(ZR2),...
          'Position',[112 95 90 25],...
          'CallBack',['(ZR2) = str2num(get(Z_R,''String''));']);
         
       TI2 =(T*((n+1)^2))/(4*n);
       T_I =  uicontrol(gcf,...
          'Style','edit',...
          'ForegroundColor','black',...
          'Fontsize',[11],...
          'BackgroundColor',[1 1 1],... 	
          'String',num2str(TI2),...
          'Position',[112 55 90 25],...
          'CallBack',['TI2 = str2num(get(T_I,''String''));']);  
        
    potvrdenie = uicontrol(gcf,...
          'Style','push',...
          'Position',[75 15 90 25],...
          'Fontsize',[11],...
          'String','OK',...
          'ForegroundColor','red',...
          'CallBack','simul_param');

Z_R=ZR2;
T_I=TI2;
z_r=Z_R;
t_i=T_I;
t_d=0;
  
a=[T 1];
b=conv([T 1],[T 1]);
c=conv(a,b);

if n==2
    M=b;
elseif n==3
    M=c;
elseif n==4
    M=conv(b,b);
elseif n==5
    M=conv(c,b);
elseif n==6
    M=conv(c,c);
end      
  

    else

    fig = figure('Color','blue',...
          'Resize','off',...
          'Numbertitle','off',...
          'name','Kontanty regultora PI', ...
          'position',[970 500 250 170]); 
      
       chyba_text =  uicontrol(gcf,...
          'Style','text',...
          'Fontsize',[12],...
          'ForegroundColor','black',...
          'BackgroundColor',[fgcolor],... 
          'Fontweight','bold',...
          'HorizontalAlignment','center',...
          'Position',[40 92 85 25],...
          'String','Rd n<2 => metda sa ned poui');  
    end
          
end
       